function CStaticSymbolCell(iRow,iCol,iXPos,iYPos){
    
    var _iRow;
    var _iCol;
    var _iCurSpriteAnimating = -1;
    var _iLastAnimFrame;
    var _aSprites;
    var _oWinningFrame;
    var _oContainer;
    
    this._init = function(iRow,iCol,iXPos,iYPos){
        _iRow = iRow;
        _iCol = iCol;
        
        _oContainer = new createjs.Container();
        _oContainer.visible = false;
        
        var oParent= this;
        _aSprites = new Array();
        var a = 1;
        for(var i=0;i<NUM_SYMBOLS;i++){

            var oDatas = {
                framerate: 100, images: [s_oSpriteLibrary.getSprite('symbol_'+a)],
                frames: {width: SYMBOL_SIZE, height: SYMBOL_SIZE, regX: 0, regY: 0},
                animations: {  static: [0, 0],anim:[0,0] }
            };

            var oSpriteSheets = new createjs.SpriteSheet(oDatas);
            var oSprite = createSprite(oSpriteSheets, "static",0,0,0,0);
            oSprite.stop();
            oSprite.x = iXPos;
            oSprite.y = iYPos;
            oSprite.on("animationend", oParent._onAnimEnded, null, false, {index:i});
            _oContainer.addChild(oSprite);
            _aSprites[i] = oSprite;
            _aSprites[i].visible = false;
            a++;
        }

        var oData = {   // image to use
                        framerate: 30,
                        images: [s_oSpriteLibrary.getSprite('win_frame_anim')],
                        // width, height & registration point of each sprite
                        frames: {width: SYMBOL_SIZE, height: SYMBOL_SIZE, regX: 0, regY: 0},
                        animations: {  static: [0, 1],anim:[1,19] }
        };

        _oWinningFrame = new createjs.Shape();
        _oContainer.addChild(_oWinningFrame);

        _oWinningFrame.x = iXPos;
        _oWinningFrame.y = iYPos;
        _oWinningFrame.graphics.rect(10);
        _oWinningFrame.graphics.setStrokeDash([5,0]);
        _oWinningFrame.graphics.setStrokeStyle(10, 0, "round").beginStroke('#'+Settings.colorBorderWin).rect(0,0,SYMBOL_SIZE,SYMBOL_SIZE);

        //green&blue = 0, only red and alpha stay
        var filter = new createjs.ColorFilter(1,1.5,1,1);
        _oWinningFrame.filters = [filter];
        _oWinningFrame.cache(0,0,SYMBOL_SIZE,SYMBOL_SIZE);

        createjs.Ticker.setFPS(60);
        createjs.Ticker.addEventListener("tick", function(event){
            _oWinningFrame.updateCache();
        });

        var tween = createjs.Tween.get(filter, { loop: true })
            .to({redMultiplier:0, greenMultiplier:.7 }, 100)
            .to({redMultiplier:1, greenMultiplier:.5 }, 100);

        s_oStage.addChild(_oContainer);
    };
    
    this.unload = function(){
        s_oStage.removeChild(_oContainer);
    };
    
    this.hide = function(){
         if(_iCurSpriteAnimating > -1){
            _oWinningFrame.visible = false;
            _aSprites[_iCurSpriteAnimating].gotoAndPlay("static");
            _oContainer.visible = false;
        }
    };
    
    this.show = function(iValue){
        _oWinningFrame.visible = true;
        
        for(var i=0;i<NUM_SYMBOLS;i++){
            if( (i+1) === iValue){
                _aSprites[i].visible = true;
            }else{
                _aSprites[i].visible = false;
            }
        }

        _aSprites[iValue-1].gotoAndPlay("static");
        _iCurSpriteAnimating = iValue-1;
        _iLastAnimFrame = _aSprites[iValue-1].spriteSheet.getNumFrames();
        
        _oContainer.visible = true;
    };
    
    this._onAnimEnded = function(evt,oData){
        if(_aSprites[oData.index].currentFrame === _iLastAnimFrame){
            return;
        }
        _aSprites[oData.index].stop();
        setTimeout(function(){_aSprites[oData.index].gotoAndPlay(0);},100);
    };
    
    this.stopAnim = function(){
       _aSprites[_iCurSpriteAnimating].gotoAndStop("static");
       _aSprites[_iCurSpriteAnimating].visible = false;
       
       _oWinningFrame.visible = false;
    };
    
    this._init(iRow,iCol,iXPos,iYPos);
}